summaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
...
* kde4/kactivities: remove /usr/bin/kactivitymanagerd Eric Hameleers2015-06-142-1/+5
| | | | | | The Activities daemon 'kactivitymanagerd' which is still part of the Plasma 5 based kactivities-framework is compatible with the KDE 4 based Activities, but the reverse is not true. One 'kactivitymanagerd' is all we need.
* kde4-extragear: added kdeconnect4. Eric Hameleers2015-06-145-0/+32
| | | | | | | This package allows Dolphion in Plasma 5 (which is still based on KDE4) to access the filesystem on an Android device. It contains the bare necessities of the kdeconnect4 package which is part of KDE 4.14.3 and is co-installable with kdeconnect-framework.
* Release of KDE 5_15.05 for Slackware.KDE-5_15.055_15.05 Eric Hameleers2015-05-302-645/+649
|
* Prepare for KDE 5_15,05. Eric Hameleers2015-05-305-5/+1
|
* Deps: remove qt-gstreamer0 from the alldeps and updates build scripts. Eric Hameleers2015-05-302-3/+6
| | | | | There is no more need for qt-gstreamer0 in Plasma5 on slackware-current, and the content of this package clashed with the qt-gstreamer package anyway.
* Powerdevil: added Polkit Local Authority files. Fixes KDEBUG 344456. Eric Hameleers2015-05-305-1/+58
| | | | This fixes the missing Shutdown/Reboot and Suspend/Hibernate functionality.
* Revert "Slackware-current's 'kactivities' package needs to be removed too."5_15.04 Eric Hameleers2015-05-101-1/+0
| | | | This reverts commit 87cd205a64c615cd157bc8657456d1241c23bf58.
* Slackware-current's 'kactivities' package needs to be removed too. Eric Hameleers2015-05-041-0/+1
|
* Release of KDE 5_15.04 for Slackware.KDE-5_15.04 Eric Hameleers2015-04-302-943/+787
|
* Apply remaining bits for the new release of KDE 5. Eric Hameleers2015-04-305-9/+14
|
* This patch became obsolete with Plasma 5.3.0. Eric Hameleers2015-04-302-0/+76
| | | | It was required when combining Frameworks 5.9.0 with Plasma 5.2.2.
* Add Slackware logo and website URL to the KDE InfoCenter (about distro). Eric Hameleers2015-04-303-0/+10
|
* We need to have KDE4 as well as KF5 versions of libkdegames and libkmahjongg. Eric Hameleers2015-04-304-0/+4
|
* Many new KF5 ports that need different cmake invocation. Eric Hameleers2015-04-3063-0/+85
|
* Add slack-desc files for every new source tarball. Eric Hameleers2015-04-3022-0/+418
|
* Several packages need a rebuild. Eric Hameleers2015-04-3023-16/+23
| | | | This is the result of the massive upgrade in Slackware-current, 21-apr-2015.
* Simplify the modules used for building KDE 5. Eric Hameleers2015-04-3011-77/+138
| | | | Only keep: kde4 kde4-extragear frameworks plasma plasma-extra applications.
* Refreshed all remaining deps for KDE 5_15.04. Eric Hameleers2015-04-3030-80/+223
|
* New dependencies and updated Slackware packages required for KDE 5_15.04 : Eric Hameleers2015-04-3012-0/+647
| | | | | | | | | | Updated: * PyQt * sip New: * PyQt5 * cfitsio * grantlee-qt5
* Remove all dependencies and extragear language files that have been Eric Hameleers2015-04-30140-6830/+0
| | | | folded into slackware-current as official packages.
* Release of KDE 5_15.03 for Slackware.KDE-5_15.035_15.03 Eric Hameleers2015-03-292-612/+695
|
* KDEI: updated the translations for kde-l10n and calligra-l10n Eric Hameleers2015-03-292-2/+2
|
* Applications: updated to 14.12.3 Eric Hameleers2015-03-292-0/+51
|
* Plasma: updated to 5.2.2 Eric Hameleers2015-03-293-3/+0
|
* Frameworks: updated to 5.8.0 Eric Hameleers2015-03-297-7/+50
|
* KDE 5 dependencies updated for 5_15.03 release. Eric Hameleers2015-03-2910-0/+564
| | | | | | | grantlee: required by kdepim 4.14.6 librevenge: needed by libwpd 0.10.0 libwpd: needed by calligra 2.9.1 libodfgen: needed by calligra 2.9.1
* Move incorrectly installed DBus files to correct location.5_15.02_02 Eric Hameleers2015-02-276-0/+15
| | | | | | | | | Affected packages are: - libksysguard - polkit-kde-kcmodules-framework - sddm-kcm This solves at least the broken SDDM control module in System Settings.
* Release of KDE 5_15.02_02 for Slackware.KDE-5_15.02_02 Eric Hameleers2015-02-262-78/+89
|
* kde-runtime: rebuilt against a newer libssh. Eric Hameleers2015-02-251-0/+1
| | | | This allows the kioslave for sftp protocol to compile.
* libssh: re-added as a dependency for kde-rumtime. Eric Hameleers2015-02-254-13/+54
| | | | | The version of libssh in Slackware is too old, and the 'sftp' kioslave (kio_sftp.so) will refuse to compile.
* kglobalaccel: rebuilt. It had picked up a dependency on plasma-workspace Eric Hameleers2015-02-252-1/+2
| | | | | | when compiling. The upgrade to Plasma 5.2.1 broke kglobalaccel. Reason: the kglobalaccel5 daemon has moved from plasma-workspace to kglobalaccel program.
* Release of KDE 5_15.02 for Slackware.KDE-5_15.025_15.02 Eric Hameleers2015-02-172-538/+790
|
* kdevelop: fix compilation due to our stripped-down kde-workspace. Eric Hameleers2015-02-173-341/+19
|
* kde-l10n: fix the compilation. Eric Hameleers2015-02-171-1/+1
|
* katepart4: use custom make script so that only relevant parts are installed. Eric Hameleers2015-02-161-0/+7
|
* Applications 14.12.2: reconfigure existing scripts. Add KDE4 extragear. Eric Hameleers2015-02-166-0/+28
|
* katepart4, konsolepart4: add embeddable parts of kate 4 and konsole 4. Eric Hameleers2015-02-167-0/+48
| | | | | | | Adding katepart4 fixes the kdevelop startup crash. Adding konsolepart4 brings back the embedded konsole in dolphin. The two packages do not conflict with the Applications 14.12.x versions of kate and konsole, both of which were ported to KDE Frameworks 5.
* kde-workspace: stripped so that it can co-exist with plasma-workspace Eric Hameleers2015-02-1633-94/+191
| | | | | | | Plasma 5 still needs this package, for kget and because kdeartwork fails to compile if kde-workspace is absent. The stripped package contains the bare minimum and none of its files are found in plasma-desktop.
* KDE 5_15.01: add the README which can be found in the package directory Eric Hameleers2015-02-031-0/+215
|
* Applications: prepare for the 14.12.2 release. Eric Hameleers2015-02-0215-2/+43
|
* Merge branch '5_15.01' Eric Hameleers2015-01-311-0/+774
|\
| * PKGLIST: add the list of packages in this release5_15.01 Eric Hameleers2015-01-311-0/+774
| | | | | | | | | | | | | | | | | | | | | | | | | | | | +--------------------------+ Wed Jan 28 21:49:44 UTC 2015 current/5/kde/kde4/calligra: rebuilt the 64-bit package against the newer exiv2 package (fixes error while loading shared libraries: libexiv2.so.12). +--------------------------+ Tue Jan 27 22:34:18 UTC 2015 This is KDE 5 for Slackware. It consists of Frameworks 5.6.0, Plasma 5.2.0 and Applications 14.12.1. This is meant only to be installed on top of Slackware -current and it will *replace* any version of KDE 4 you migh thave installed!
* | Plasma: kwayland should be built before kinfocenter and before kwin Eric Hameleers2015-01-312-62/+1
| |
* | Calligra: rebuilt the 64-bit package against newer exiv2. Eric Hameleers2015-01-291-0/+1
|/
* README: fix a typoPlasma-5.2.0 Eric Hameleers2015-01-281-1/+1
|
* KDE.SlackBuild: re-enable 'step' in kde/modules/applications Eric Hameleers2015-01-271-1/+1
|
* KDE 5 (Frameworks 5.6.0, Plasma 5.2.0, Applications 14.12.1) ready. Eric Hameleers2015-01-274-5/+37
| | | | | All packages have been built, this commit is a final SlackBuild polishing. Expect a release for Slackware -current in my 'ktown' reository soon.
* Final KDE.SlackBuild harness, ready for the upcoming release of Plasma 5.2.0. Eric Hameleers2015-01-2619-43/+159
| | | | | | | | | | | | | | | | | | All bugs have bee ironed out I hope... Final changes: eigen2: updated to latest version so 'step' can compile. kde-workspace: required to build this, or else kdeartwork won't compile. Frameworks as well as Plasma use /usr/lib{,64} as the libexec directory (not sure if this is the best solution but it solves a lot of path issues). Applications: modified the build order so that KF5 applications are built first (before kde-workspace overwrites part of plasma-workspace). My final package set will not have kde-workspace but if you compile this yourself, your last step needs to be: # removepkg kde-workspace # upgradepkg --reinstall /path/to/plasma-workspace
* Add support for GTK applications to dock to the Plasma 5 systray. Eric Hameleers2015-01-2411-1353/+704
| | | | | | | | json-glib: added dep - a JSON library built on glib.. libdbusmenu-gtk: added dep - GTK implementation of the DBusMenu protocol. libindicator: added dep - support functions for indicators. libappindicator: added dep - provides the actual Plasma 5 systray support for GTK applications.
* Add support for Qt4 applications to dock to the Plasma 5 systray. Eric Hameleers2015-01-2422-0/+3596
| | | | | | | qt-4.8.6: added dep; compared to the Slackware original, I have applied several patches to impement qsystemtrayicon support. sni-qt: added dep; this application actually provides the systray support for Qt4 apps in Plasma 5.